$(function() {
  $(document).on('publik:environment-loaded', function(event, services) {
    $(services.services).each(function(index, element) {
      var $content = $('#portal-agent-content div.services-' + element.service_id);
      if ($content.length === 0) {
        $content = $('#portal-agent-content div.services');
      }
      if ($content.find('ul.apps').length === 0) {
        $('<ul class="apps">').appendTo($content);
      }
      var $apps = $content.find('ul.apps');
      $(element.data).each(function(index, menuitem) {
        var li = $('<li><a href="' + menuitem.url + '">' + menuitem.label + '</a></li>').appendTo($apps);
        if (menuitem.icon !== undefined) {
          $(li).addClass('icon-' + menuitem.icon);
        } else if (menuitem.slug !== undefined) {
          $(li).addClass('icon-' + menuitem.slug);
        }
      });
    });
  });
});
